#include "oriand.h"
#include<iostream>
#include<vector>
#include<fstream>
#include<chrono>

static const std::string PASSWORD = "48cmj1xkg85js3jd932g";

static std::ofstream graderTimeFile;

static std::chrono::steady_clock::time_point startT;
static std::chrono::steady_clock::time_point endT;

static double totalGraderTime = 0;

static void startTime()
{
    startT = std::chrono::steady_clock::now();
}

static void writeTime()
{
    graderTimeFile << "io-time: " << totalGraderTime << std::endl;
}

static void endTime(bool write = true)
{
    endT = std::chrono::steady_clock::now();

    double time = std::chrono::duration_cast<std::chrono::duration<double>>(endT - startT).count();

    totalGraderTime += time;

    if (write)
    {
        writeTime();
    }
}

using namespace std;

int main (int argc, char* argv[])
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    graderTimeFile.open(argv[1]);
    startTime();
    int n, k;
    cin >> n >> k;
    vector<long long> v(n);
    for(int i = 0; i < n; i ++) {
        cin >> v[i];
    }
    endTime();
    long long ans = oriand(n, k, v);
    cout << PASSWORD << endl;
    cout << ans << endl;
    cout << totalGraderTime << endl;
    return 0;
}
